using System;
using System.Runtime.Serialization;
 namespace Nehta.VendorLibrary.CDA.Common.Enums
  {
    /// <summary>
    /// DocumentProvenance
    /// </summary>
    [Serializable]
    [DataContract]
     public enum MedicareOverviewSections
    {
      [EnumMember]
      [Name(Code = "102.16692.172.1.2", Name = "Australian Organ Donor Register Details Document Provenance", CodeSystem = "NCTIS")]
      AustralianOrganDonorRegisterDetailsDocumentProvenance,

      [EnumMember]
      [Name(Code = "102.16652", Name = "Australian Organ Donor Register Entry", CodeSystem = "NCTIS")]
      AustralianOrganDonorRegisterEntry,

      [EnumMember]
      [Name(Code = "101.16670", Name = "Australian Organ Donor Register Details", Title = "Australian Organ Donor Register Details", CodeSystem = "NCTIS")]
      AustralianOrganDonorRegisterDetails,

      [EnumMember]
      [Name(Code = "101.16658", Name = "AUSTRALIAN CHILDHOOD IMMUNISATION REGISTER ENTRIES", Title = "AUSTRALIAN CHILDHOOD IMMUNISATION REGISTER ENTRIES", CodeSystem = "NCTIS")]
      AustralianChildhoodImmunisationRegisterEntries,

      [EnumMember]
      [Name(Code = "103.15595", Name = "Comment", CodeSystem = "NCTIS")]
      Comment,

      [EnumMember]
      [Name(Code = "101.16780", Name = "Medicare/DVA Funded Services History", Title = "Medicare Services - MBS and DVA Items", CodeSystem = "NCTIS")]
      MedicareDVAFundedServicesHistory,

      [EnumMember]
      [Name(Code = "101.16778", Name = "Pharmaceutical Benefits History", Title = "Prescription Information - PBS and RPBS", CodeSystem = "NCTIS")]
      PharmaceuticalBenefitHistory,

      [EnumMember]
      [Name(Code = "101.16649", Name = "Pharmaceutical Benefits Items", Title = "Prescription Information - PBS and RPBS", CodeSystem = "NCTIS")]
      PharmaceuticalBenefitsItems,

      [EnumMember]
      [Name(Code = "101.16643", Name = "Medicare/DVA Funded Services", Title = "Medicare Services - MBS and DVA Items", CodeSystem = "NCTIS")]
      MedicareDVAFundedServices,

      [EnumMember]
      [Name(Code = "102.16674", Name = "Pharmaceutical Benefit Item", CodeSystem = "NCTIS")]
      PharmaceuticalBenefitsItem,

      [EnumMember]
      [Name(Code = "11709", Name = "Australian MBS Code", CodeSystem = "MBSCode")]
      MedicareMBSDVAItem,

      [EnumMember]
      [Name(Code = "101.16776", Name = "Australian Childhood Immunisation Register History", Title = "Australian Childhood Immunisation Register - ACIR", CodeSystem = "NCTIS")]
      AustralianChildhoodImmunisationRegisterHistory,

      [EnumMember]
      [Name(Code = "101.16774", Name = "Australian Organ Donor Register Decision Information", Title = "Australian Organ Donor Register - AODR", CodeSystem = "NCTIS")]
      AustralianOrganDonorRegisterComponent,

      [EnumMember]
      [Name(Code = "103.16677", Name = "Item Form and Strength", CodeSystem = "NCTIS")]
      ItemFormAndStrength,

      [EnumMember]
      [Name(Code = "103.16642", Name = "Service In Hospital Indicator", CodeSystem = "NCTIS")]
      ServiceInHospitalIndicator,

      [EnumMember]
      [Name(Code = "102.16692.172.1.4", Name = "Medicare/DVA Funded Services Document Provenance", CodeSystem = "NCTIS")]
      MedicareDVAFundedServicesDocumentProvenance,

      [EnumMember]
      [Name(Code = "102.16692.172.1.3", Name = "Pharmaceutical Benefit Items Document Provenance", CodeSystem = "NCTIS")]
      PharmaceuticalBenefitItemsDocumentProvenance,

      [EnumMember]
      [Name(Code = "102.16692.172.1.1", Name = "Australian Childhood Immunisation Register Entries Document Provenance", CodeSystem = "NCTIS")]
      AustralianChildhoodImmunisationRegisterEntriesDocumentProvenance,

      [EnumMember]
      [Name(Code = "102.16134.172.1.3", Name = "Exclusion Statement", CodeSystem = "NCTIS")]
      MedicareOverviewExclusionStatement,

      [EnumMember]
      [Name(Code = "102.16134.172.1.4", Name = "Exclusion Statement", CodeSystem = "NCTIS")]
      PharmaceuticalBenefitItemsExclusionStatement,

      [EnumMember]
      [Name(Code = "102.16134.172.1.5", Name = "Exclusion Statement", CodeSystem = "NCTIS")]
      MedicareDVAFundedServicesExclusionStatement,

      [EnumMember]
      [Name(Code = "102.16134.172.1.2", Name = "Exclusion Statement", CodeSystem = "NCTIS")]
      AustralianOrganDonorRegisterDetailsExclusionStatement,

      [EnumMember]
      [Name(Code = "102.16134.172.1.1", Name = "Exclusion Statement", CodeSystem = "NCTIS")]
      AustralianChildhoodImmunisationRegisterHistoryExclusionStatement,

      [EnumMember]
      [Name(Code = "103.16657", Name = "Donation Decision", CodeSystem = "NCTIS")]
      DonationDecision,

      [EnumMember]
      [Name(Code = "102.16660", Name = "ORGAN AND TISSUE DONATION DETAILS", CodeSystem = "NCTIS")]
      OrganAndTissueDonationDetails,

      [EnumMember]
      [Name(Code = "103.16661", Name = "Bone Tissue Indicator", CodeSystem = "NCTIS")]
      BoneTissueIndicator,

      [EnumMember]
      [Name(Code = "103.16662", Name = "Eye Tissue Indicator", CodeSystem = "NCTIS")]
      EyeTissueIndicator,

      [EnumMember]
      [Name(Code = "103.16663", Name = "Heart Indicator", CodeSystem = "NCTIS")]
      HeartIndicator,

      [EnumMember]
      [Name(Code = "103.16664", Name = "Heart Valve Indicator", CodeSystem = "NCTIS")]
      HeartValveIndicator,

      [EnumMember]
      [Name(Code = "103.16665", Name = "Kidney Indicator", CodeSystem = "NCTIS")]
      KidneyIndicator,

      [EnumMember]
      [Name(Code = "103.16666", Name = "Liver Indicator", CodeSystem = "NCTIS")]
      LiverIndicator,

      [EnumMember]
      [Name(Code = "103.16667", Name = "Lungs Indicator", CodeSystem = "NCTIS")]
      LungsIndicator,

      [EnumMember]
      [Name(Code = "103.16668", Name = "Pancreas Indicator", CodeSystem = "NCTIS")]
      PancreasIndicator,

      [EnumMember]
      [Name(Code = "103.16669", Name = "Skin Tissue Indicator", CodeSystem = "NCTIS")]
      SkinTissueIndicator,
    }
  }

